# file: $isip/util/speech/isip_make_sof/GNUmakefile
# version: $Id: GNUmakefile 8202 2002-06-13 22:17:59Z gao $
#
# this make file builds an example program
#

# define the source files
#
ISIP_FILES = *.cc

# define the files these source files depend on (usually include files)
#
ISIP_DEPS = isip_make_sof.h FeatureFile.h AudioFrontEnd.h help_message.text

# define the compilation flags
# 
ISIP_CFLAGS =

# define the name of the executable file (*.exe)
#
ISIP_EXE = isip_make_sof.exe

# define the installation directory (override the watch on local installs)
#	
ISIP_BIN = $(ISIP_DEVEL)/bin/$(ISIP_BINARY)

TEXT_DIR = $(ISIP_DEVEL)/lib/text/isip_make_sof

# define resource installation directives
#
ISIP_RESOURCE_INSTALL = copy-resources
ISIP_RESOURCE_CLEAN = delete-resources

# include the isip standard make template
#
include $(ISIP_DEVEL)/lib/scripts/make/compile_and_link.make

# install the images and text files to the lib directory
#
copy-resources:
	echo "> installing the resource files"
	mkdir -p $(TEXT_DIR)
	cp -fr isip_make_sof_params.sof $(TEXT_DIR)

# delete the images and text files from the lib directory
#
delete-resources:
	echo "> deleting the resource files"
	-rm -fr $(TEXT_DIR)

#
# end of file
